Package org.apache.jmeter.gui

# Class HtmlReportUI

java.lang.Object
org.apache.jmeter.gui.HtmlReportUI

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class HtmlReportUI extends Object implements ActionListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlReportUI()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  `void`
  `setupInputDialog(JFrame parent)`
  `void`
  `showInputDialog(JFrame parent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HtmlReportUI

    public HtmlReportUI()

- ## Method Details

  - ### showInputDialog

    public void showInputDialog(JFrame parent)

  - ### setupInputDialog

    public void setupInputDialog(JFrame parent)

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Specified by:
      `actionPerformed` in interface `ActionListener`